#!/bin/bash

echo uninstall NM Watcher

killall "SierraWatcher" >& /dev/null
killall "Sierra Wireless Watcher" >& /dev/null

rm -Rf /usr/local/bin/NMOSXDockHelper.rb

# nmm 2.0.4 to 2.0.6
rm -Rf "/Applications/Sierra Watcher/SierraWatcher.app"
rm -f  "/Applications/Sierra Watcher/.DS_Store"
rmdir  "/Applications/Sierra Watcher" >& /dev/null

# nmm 2.2.1 to 2.3.1
rm -Rf "/Applications/Sierra Wireless Watcher/Sierra Wireless Watcher.app"
rm -f "/Applications/Sierra Wireless Watcher/Uninstall Sierra Wireless Watcher.app"
rm -f  "/Applications/Sierra Wireless Watcher/.DS_Store"
rmdir  "/Applications/Sierra Wireless Watcher" >& /dev/null

rm -Rf "/Library/Receipts/Sierra Wireless Watcher App.pkg"
rm -Rf "/Library/Receipts/SierraWatcher App.pkg"
rm -Rf "/Library/Receipts/Sierra2NET Core.pkg"

rm -Rf /Library/Frameworks/gsm_device_tools.framework
rm -Rf /Library/Frameworks/NMGsmKit.framework
rm -Rf /Library/Frameworks/NML2NManager.framework
rm -Rf /Library/Frameworks/NMNetCore.framework
rm -Rf /Library/Frameworks/NMNetWorker.framework
rm -Rf /Library/Frameworks/NMRegistrationCore.framework

rm -Rf "/Library/Modem Scripts/NM OEM SIERRA Universal Modem"

rm -Rf /System/Library/LaunchDaemons/de.novamedia.nmnetmgrd.plist
rm -Rf /System/Library/StartupItems/NMTCPSettingsTuning
rm -Rf /usr/sbin/nmcrashdump
rm -Rf /usr/sbin/nmnetmgrd

# Restore original syslog.conf
# /private/etc/syslog.conf /private/etc/syslog.conf.backup

rm -Rf /var/log/nmnetmgr.log
rm -Rf "/Library/Application Support/launch2net"
rm -Rf "/Library/Application Support/Sierra"

rm -Rf /var/nmnetmgr

rm -Rf ~/Desktop/Uninstall\ Switch\ Driver.pkg

echo NM Watcher files deleted


# remove icon from dock
buddy=`dirname "$0"`/PlistBuddy
if [ -f "$buddy" ] ; then

 i="$("$buddy" -c "Print persistent-apps" ~/Library/Preferences/com.apple.dock.plist | grep -a _CFURL*String' ' | awk '/\/Applications\/Sierra\ Wireless\ Watcher/ {print NR}')"
 if [ -n "$i" ] && [ "$i" -gt 0 ] ; then
        echo "removed Watcher icon ($i) from Dock"
	"$buddy" -c "Delete persistent-apps:$[$i-1]" ~/Library/Preferences/com.apple.dock.plist
	killall Dock
 fi

 i="$("$buddy" -c "Print persistent-apps" ~/Library/Preferences/com.apple.dock.plist | grep -a _CFURL*String' ' | awk '/\/Applications\/Sierra\ Watcher/ {print NR}')"
 if [ -n "$i" ] && [ "$i" -gt 0 ] ; then
        echo "removed Watcher icon ($i) from Dock"
	"$buddy" -c "Delete persistent-apps:$[$i-1]" ~/Library/Preferences/com.apple.dock.plist
	killall Dock
  fi

else
	echo "$buddy" not found
fi


exit 0
